@import "_reset";
@import "_variables";
@import "_mixins";
@import "_hat";
@import "_appeal";
@import "_promise";
@import "_about-us";
@import "_subscribe";

html {
  font-size: 16px;
}
//обмежує контент та центрує при ширині понад 1200 px

.div-wrap {
  position: absolute;
  @media (min-width: 1201px) {
    right: calc(50% - 1200px / 2);
  }
}

.container {
  max-width: 75rem;
  min-width: 20rem;
  padding-right: $padding-c;
  padding-left: $padding-c;
}

.h1-title {
  margin-top: 3.125rem;
  text-align: center;
  @include font-size(3rem, 3rem, 700, $neutral);
}
//загальний клас для h2
.h2-title {
  font-family: $montserrat-font;
}
//модифікатори h2 для відповідних блоків
.h2-title--appeal {
  @include font-size(1.625rem, 1.75rem, 700, $title-appeal);
}

.h2-title--promise {
  @include font-size(2rem, 2.375rem, 700, $hat);
}

.h2-title--about-us {
  @include font-size(2rem, 3rem, 700, $neutral);
  @include center;
  text-align: center;
  padding: 3.4375rem 2rem;
}

.h2-title--subscribe {
  @include font-size(1.75rem, 2.625rem, 700, $neutral);
}
